Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Fcntl.pm)
# END SourceDeps(oneline)
Name:           pkgdiff
Version:        1.5
Release:        alt1_1
Summary:        A tool for analyzing changes in Linux software packages

License:        GPLv2+
URL:            http://pkgdiff.github.com/pkgdiff/
Source0:        https://github.com/downloads/%{name}/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  help2man
Requires:       wdiff binutils gawk
Requires:       abi-compliance-checker >= 1.96

BuildArch:      noarch
Source44: import.info


%description
Package Changes Analyzer (pkgdiff) is a tool for analyzing changes
in Linux software packages (RPM, DEB, TAR.GZ, etc). The tool is
intended for Linux maintainers who are interested in ensuring
compatibility of old and new versions of packages.


%prep
%setup -q
chmod 0644 LICENSE README
chmod 0755 %{name}.pl


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_mandir}/man1
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}

# Generate man page
cp %{name}.pl %{name}
help2man -N --no-discard-stderr -o %{name}.1 ./%{name}
sed -i 's/\(.\)/\n\1/' %{name}.1
sed -i 's/PACKAGE/PKGDIFF/g' %{name}.1
install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1


%files
%doc LICENSE README doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_1
- initial fc import

